# WOK
TKWOK
WOKBuilder

# WOKBuilder_MSActionID Class Reference

`#include <WOKBuilder_MSActionID.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| WOKBuilder_MSActionID (const Handle(TCollection_HAsciiString)&aname, const WOKBuilder_MSActionType atype)
const Handle_TCollection_HAsciiString & | Name () const
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aname)
WOKBuilder_MSActionType | Type () const
Standard_EXPORT void | SetType (const WOKBuilder_MSActionType atype)

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | IsEqual (const WOKBuilder_MSActionID &K1, const WOKBuilder_MSActionID &K2)
static Standard_EXPORT Standard_Integer | HashCode (const WOKBuilder_MSActionID &K)
static Standard_EXPORT Standard_Boolean | IsEqual (const Handle(WOKBuilder_MSAction)&K1, const Handle(WOKBuilder_MSAction)&K2)
static Standard_EXPORT Standard_Integer | HashCode (const Handle(WOKBuilder_MSAction)&K)

## Private Attributes

Handle_TCollection_HAsciiString | myname
WOKBuilder_MSActionType | mytype

## Constructor & Destructor Documentation

WOKBuilder_MSActionID::WOKBuilder_MSActionID | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKBuilder_MSActionType | atype
| ) | `[inline]`

## Member Function Documentation

static Standard_EXPORT Standard_Integer WOKBuilder_MSActionID::HashCode | ( | const Handle(WOKBuilder_MSAction)& | K | ) | `[static]`

static Standard_EXPORT Standard_Integer WOKBuilder_MSActionID::HashCode | ( | const WOKBuilder_MSActionID & | K | ) | `[static]`

static Standard_EXPORT Standard_Boolean WOKBuilder_MSActionID::IsEqual | ( | const Handle(WOKBuilder_MSAction)& | K1,
|  | const Handle(WOKBuilder_MSAction)& | K2
| ) | `[static]`

static Standard_EXPORT Standard_Boolean WOKBuilder_MSActionID::IsEqual | ( | const WOKBuilder_MSActionID & | K1,
|  | const WOKBuilder_MSActionID & | K2
| ) | `[static]`

const Handle_TCollection_HAsciiString& WOKBuilder_MSActionID::Name | ( |  | ) | const

void WOKBuilder_MSActionID::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKBuilder_MSActionID::operator new | ( | size_t | size | ) | `[inline]`

void* WOKBuilder_MSActionID::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void WOKBuilder_MSActionID::SetName | ( | const Handle(TCollection_HAsciiString)& | aname | ) |

Standard_EXPORT void WOKBuilder_MSActionID::SetType | ( | const WOKBuilder_MSActionType | atype | ) |

WOKBuilder_MSActionType WOKBuilder_MSActionID::Type | ( |  | ) | const`[inline]`

## Field Documentation

Handle_TCollection_HAsciiString WOKBuilder_MSActionID::myname `[private]`

WOKBuilder_MSActionType WOKBuilder_MSActionID::mytype `[private]`

The documentation for this class was generated from the following files:

- WOKBuilder_MSActionID.hxx
- WOKBuilder_MSActionID.lxx